User account creation filtered due to spam.

Bug 22208 - [4.0/4.1 Regression] flag_rename_registers is not enabled at -O3 or above
Summary: [4.0/4.1 Regression] flag_rename_registers is not enabled at -O3 or above
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: rtl-optimization (show other bugs)
Version: 4.0.1
: P2 normal
Target Milestone: 4.1.0
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on: 15023
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-27 23:11 UTC by Andrew Pinski
Modified: 2005-07-23 22:49 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Pinski 2005-06-27 23:11:19 UTC
We should renable the this flag at least at -O3 and above.  See PR 15023 for why it was disabled, every 
problem except for the compiler time issue was a latent target bug.
Comment 1 Steven Bosscher 2005-06-27 23:32:26 UTC
There are patches missing from 4.0 to fix some cases where regrename 
could produce wrong code.  Besides, enabling passes on a release branch 
sounds like an awfully bad idea.  Setting 4.1 as the target milestone 
is more reasonable than 4.0.2 IMVHO. 
 
 
Comment 2 Wolfgang Bangerth 2005-06-28 13:59:06 UTC
I concur, done. 
W. 
Comment 3 Andrew Pinski 2005-07-22 18:23:38 UTC
This has been fixed for -funroll-loops so closing as fixed as it is fixed as much as I filed it for.